
CMAKE_MINIMUM_REQUIRED (VERSION 3.1)

PROJECT (EGAMMA CXX)

SET(CMAKE_CXX_STANDARD 17)

ADD_SUBDIRECTORY(filval)

LIST( APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/filval/cmake )
FIND_PACKAGE(ROOT REQUIRED)

# Compiles tracking efficiency executable
ADD_EXECUTABLE(tracking_eff analysis/tracking_eff.cpp)
# TARGET_LINK_LIBRARIES(tracking_eff filval yaml-cpp ${ROOT_LIBRARIES})
TARGET_LINK_LIBRARIES(tracking_eff yaml-cpp ${ROOT_LIBRARIES})
TARGET_INCLUDE_DIRECTORIES(tracking_eff PUBLIC ${ROOT_INCLUDE_DIR} ${CMAKE_SOURCE_DIR} filval/include/ filval/root/include/ filval/yaml-cpp/include/)


ADD_EXECUTABLE(sim_track_viz analysis/sim_track_viz.cpp)
TARGET_LINK_LIBRARIES(sim_track_viz yaml-cpp ${ROOT_LIBRARIES})
TARGET_INCLUDE_DIRECTORIES(sim_track_viz PUBLIC ${ROOT_INCLUDE_DIR} ${CMAKE_SOURCE_DIR} filval/include/ filval/root/include/ filval/yaml-cpp/include/)
